# Map https://universaldependencies.org/docs/u/pos/ to pos in dictionary

POSMAP = {}

POSMAP['de'] = {
  "ADV": ['Adv.'],
  "ADJ": ['Adj.'],
  "PRON": ['Pron.'],
  "SCONJ": ['Konj.'],
  "CONJ": ['Konj.'],
  "ADP": ['Präp.'],
  "NOUN": ['m.', 'f.', 'f.m.', 'n.'],
  "VERB": ['V.i.', 'V.t.', 'V.', 'v.i.', 'v.t.', 'v.'],
  "AUX": ['V.i.', 'V.t.', 'V.', 'v.i.', 'v.t.', 'v.']
}


POSMAP['es'] = {
  "ADV": ['adv.'],
  "ADJ": ['adj.'],
  "PRON": ['pron.'],
  "SCONJ": ['conj.'],
  "CONJ": ['conj.'],
  "ADP": ['prep.'],
  "NOUN": ['m.', 'f.', 'm.f.'],
  "VERB": ['vi.', 'vt.', 'vr.'],
  "AUX": ['vi.', 'vt.', 'vr.']
}

POSMAP['en'] = {
  "ADV": ['adv.'],
  "ADJ": ['adj.'],
  "PRON": ['pron.'],
  "SCONJ": ['conj.'],
  "CONJ": ['conj.'],
  "ADP": ['prep.'],
  "NOUN": ['n.'],
  "VERB": ['v.vi.', 'v.vt.', 'vt.vi.', 'vi.vt.', 'v.'],
  "AUX": ['v.vi.', 'v.vt.', 'vt.vi.', 'vi.vt.', 'v.']
}

